<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:s0="http://tempuri.org/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" targetNamespace="http://tempuri.org/" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="TestFunction">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="vInput" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="TestFunctionResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="TestFunctionResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="add">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="a" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="b" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="addResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="addResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="string" nillable="true" type="s:string" />
    </s:schema>
  </types>
  <message name="TestFunctionSoapIn">
    <part name="parameters" element="s0:TestFunction" />
  </message>
  <message name="TestFunctionSoapOut">
    <part name="parameters" element="s0:TestFunctionResponse" />
  </message>
  <message name="addSoapIn">
    <part name="parameters" element="s0:add" />
  </message>
  <message name="addSoapOut">
    <part name="parameters" element="s0:addResponse" />
  </message>
  <message name="TestFunctionHttpGetIn">
    <part name="vInput" type="s:string" />
  </message>
  <message name="TestFunctionHttpGetOut">
    <part name="Body" element="s0:string" />
  </message>
  <message name="addHttpGetIn">
    <part name="a" type="s:string" />
    <part name="b" type="s:string" />
  </message>
  <message name="addHttpGetOut">
    <part name="Body" element="s0:string" />
  </message>
  <message name="TestFunctionHttpPostIn">
    <part name="vInput" type="s:string" />
  </message>
  <message name="TestFunctionHttpPostOut">
    <part name="Body" element="s0:string" />
  </message>
  <message name="addHttpPostIn">
    <part name="a" type="s:string" />
    <part name="b" type="s:string" />
  </message>
  <message name="addHttpPostOut">
    <part name="Body" element="s0:string" />
  </message>
  <portType name="TestServiceSoap">
    <operation name="TestFunction">
      <input message="s0:TestFunctionSoapIn" />
      <output message="s0:TestFunctionSoapOut" />
    </operation>
    <operation name="add">
      <input message="s0:addSoapIn" />
      <output message="s0:addSoapOut" />
    </operation>
  </portType>
  <portType name="TestServiceHttpGet">
    <operation name="TestFunction">
      <input message="s0:TestFunctionHttpGetIn" />
      <output message="s0:TestFunctionHttpGetOut" />
    </operation>
    <operation name="add">
      <input message="s0:addHttpGetIn" />
      <output message="s0:addHttpGetOut" />
    </operation>
  </portType>
  <portType name="TestServiceHttpPost">
    <operation name="TestFunction">
      <input message="s0:TestFunctionHttpPostIn" />
      <output message="s0:TestFunctionHttpPostOut" />
    </operation>
    <operation name="add">
      <input message="s0:addHttpPostIn" />
      <output message="s0:addHttpPostOut" />
    </operation>
  </portType>
  <binding name="TestServiceSoap" type="s0:TestServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document" />
    <operation name="TestFunction">
      <soap:operation soapAction="http://tempuri.org/TestFunction" style="document" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
    <operation name="add">
      <soap:operation soapAction="http://tempuri.org/add" style="document" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
  </binding>
  <binding name="TestServiceHttpGet" type="s0:TestServiceHttpGet">
    <http:binding verb="GET" />
    <operation name="TestFunction">
      <http:operation location="/TestFunction" />
      <input>
        <http:urlEncoded />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
    <operation name="add">
      <http:operation location="/add" />
      <input>
        <http:urlEncoded />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
  </binding>
  <binding name="TestServiceHttpPost" type="s0:TestServiceHttpPost">
    <http:binding verb="POST" />
    <operation name="TestFunction">
      <http:operation location="/TestFunction" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
    <operation name="add">
      <http:operation location="/add" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
  </binding>
  <service name="TestService">
    <port name="TestServiceSoap" binding="s0:TestServiceSoap">
      <soap:address location="http://localhost/RC/9_Samples/Basic/GetPost/BasicService.asmx" />
    </port>
    <port name="TestServiceHttpGet" binding="s0:TestServiceHttpGet">
      <http:address location="http://localhost/RC/9_Samples/Basic/GetPost/BasicService.asmx" />
    </port>
    <port name="TestServiceHttpPost" binding="s0:TestServiceHttpPost">
      <http:address location="http://localhost/RC/9_Samples/Basic/GetPost/BasicService.asmx" />
    </port>
  </service>
</definitions>